API Documentation
Integrate YouTube to MP3 conversion into your applications.
API Status: Available
Our API is currently in beta. Contact api@ytpmp3.com for access.
Quick Start
Base URL
https://api.ytpmp3.com/v1
Authentication
Include your API key in the header:
Authorization: Bearer YOUR_API_KEY
Endpoints
POST
/convertConvert a YouTube video to the specified format.
Request Body
{
"url": "https://youtube.com/watch?v=...",
"format": "mp3",
"quality": "320"
}Response
{
"success": true,
"download_url": "https://...",
"title": "Video Title",
"duration": 240,
"file_size": 5800000
}GET
/infoGet video information without converting.
Query Parameters
url: YouTube video URL
GET
/usageGet your API usage statistics for the current billing period.
Rate Limits
| Plan | Requests/Day | Price |
|---|---|---|
| Free | 100 | $0 |
| Pro | 10,000 | $29/mo |
| Enterprise | Unlimited | Contact us |